package com.liquidnet.common.third.zxlnft.dto.wallet;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: CreateMnemonicResp
 * @Package com.liquidnet.common.third.zxlnft.bean.wallet
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/17 16:32
 */
@Data
public class CreateMnemonicResp {
    /**
     * 助记词
     */
    private String mnemonic;
    /**
     * 错误信息
     */
    private String err;

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }

    private static final CreateMnemonicResp obj = new CreateMnemonicResp();
    public static CreateMnemonicResp getNew() {
        try {
            return (CreateMnemonicResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new CreateMnemonicResp();
        }
    }
}
